Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

I'm using LyX with Hebrew and whenever I'm trying to change my document setting to something else than article (i.e. article(AMS)) I can't create a pdf. I'm getting these errors:

Undefined control sequence

Undefined control sequence

Package inputenc Error: Keyboard character used is undefined

Package inputenc Error: Keyboard character used is undefined

Package inputenc Error: Keyboard character used is undefined

Undefined control sequence

Thanks a lot, Amihai

share|improve this question
add comment

2 Answers

up vote 1 down vote accepted

I also encounterd the same problem. Apperantly, article(AMS) does not support Hebrew fonts.

If you have installed the miktex culmus package, though, you will be able to choose the article(Hebrew) class. This class is a bit 'richer' than the regular article class, and it will allow you to use some basic layouts, such as Theorem, Proof, Lemma, etc.

Note that when changing your document class to article(Hebrew), trying to view your document (pdflatex) might not work. If that happens - go to Document -> Settings -> Language, and change Language to Hebrew.

share|improve this answer
    
Thanks- but is still gives me hard time... I'll try to tough it out after my finals... –  Amihai Zivan Jul 6 '12 at 6:38
add comment

What version of LyX are you using? What operating system are you using (these two things are always good to put in a post)? The first thing to try would be to install the newest version of LyX which was just released a couple of days ago. Go to www.lyx.org to get it. Also, check out these two pages: http://wiki.lyx.org/LyX/HebrewOnLinux http://wiki.lyx.org/Windows/Hebrew

A lot of things have changed recently with regard to how LyX deals with other languages. If you're on Linux, it's very easy to compile the development version, which has these additions. The stable 2.0.4 doesn't have many of the changes.

share|improve this answer
    
LyX 2.0.0, Windows. I downloaded the new version but it still gives me hard time. Maybe because I'm clicking "cancel" (as I was advised by one of my friends) for every package that the installation offers me? –  Amihai Zivan Jul 4 '12 at 18:39
    
Yes, I think your suspicion is correct. The Windows installer has undergone a lot of changes so hacks that were needed before might not be needed now. Try without clicking "cancel". Also note that there are two Windows installers. Try both. To be safe you should uninstall before you install using a different Windows installer. –  scottkosty Jul 4 '12 at 22:09
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.